Incompatibilité avec Android < 5.x

Bonjour,
J’ai fait la mise à jour ce week-end.
J’ai constaté qu’il n’est plus possible de faire de ssl handshake avec Android en dessous de Android 5.
Or, mon téléphone est toujours sur Android 4.2.2. Mes clients DAV vers Nextcloud ne fonctionnent plus qu’en http.
Que dois je modifier, à minima, sur mon serveur pour que mon téléphone puisse à nouveau se connecter au serveur en https, s’il vous plaît?

Uh ben c’est chelou car normalement la config par défaut est encore compatible avec Android 2.3 … Tu es sur que tu n’as pas bidouillé les parametres de securité de nginx en mettant la compatibilité “modern” (au lieu de intermediate) comme décrit dans yunohost.org/security, section " Change cipher compatibility configuration" ?

@Aleks : maintenant que tu le dis, je pense que c’est ce que j’ai fait.

Je n’arrive pas à revenir en arrière, voici les erreurs. Est ce qu’il est possible de le forcer?

admin@domain:~$ sudo yunohost settings set security.nginx.compatibility -v intermediate
Attention : « yunohost service regen-conf » est obsolète ! Veuillez plutôt utiliser « yunohost tools regen-conf ».
Attention : Le fichier de configuration ‘/etc/nginx/conf.d/domain.tld.conf’ a été modifié manuellement et ne sera pas mis à jour
Attention : Le fichier de configuration ‘/etc/nginx/conf.d/yunohost_admin.conf’ a été modifié manuellement et ne sera pas mis à jour

Du coup il faut regarder ce qui a été changé à la main avec yunohost tools regen-conf nginx --dry-run -d

Puis soit tu modifies les fichiers à la main, soit tu force la régénération avec yunohost tools regen-conf nginx --force

Merci ça fonctionne à nouveau.
Désolé d’avoir polluer l’autre fil de discussion et merci d’avoir créer celui ci.